Add an SMTP user

Add a new SMTP user to your account. Full details of the available options for new user accounts can be found in the SMTP User Guide.

Body Params
string
required

A username to access the SMTP2GO service via SMTP. Length = 5 to 100

string

A valid password for your new SMTP User.

Must have an entropy of at least 64 bits. Consider using a password generator or leave blank for an auto generated value. Ideally contain at least: 12 characters, 1 digit, symbol, uppercase letter, and lowercase letter.

string

A comment or description of your new SMTP User

boolean

If true, a custom rate limit will be enabled for this user, and defined by the custom_ratelimit_value and custom_ratelimit_period. Default: false

int32

If passed, defines the limit of emails this user can send in the period specified in custom_ratelimit_period.

Note: Only stores this value if custom_ratelimit is true.

string

If passed, defines the period for which this user will be limited to the number of emails specified in custom_ratelimit_value.

Syntax: "<n> [hour[s]|day[s]|week[s]|month[s]] [hh:mm:ss]".

Examples: "0:30:00", "1 hour", "2 days", "3 months", "4 months 5:00:00".

Note: Only stores this value if custom_ratelimit is true.

integer

If passed, any emails sent with this SMTP user will use dedicated IP's in this IP Pool, This value can be found on the /v3/dedicated_ips/view endpoint.

boolean

If true, custom feedback via the unsubscribe footer will be enabled and defined by the below settings. Default: false

string
Defaults to default

The domain to insert into the custom feedback links via the unsubscribe footer. Default: blank

Warning:

  • In order to use the SMTP2go feedback handling feature, this parameter needs to be set to "default"
  • Setting this value to anything other than "default", disables the ability for SMTP2go to correctly manage the feedback responses and should not normally be set to anything other than "default"
string

The HTML content to insert into the custom feedback email body via the unsubscribe footer. Default: blank

System Variables (Only available here):

  • Unsubscribe URL = %%UNSUBSCRIBE%%
  • Email address = %%EMAIL%%

string

The text content to insert into the custom feedback email body via the unsubscribe footer. Default: blank

System Variables (Only available here):

  • Unsubscribe URL = %%UNSUBSCRIBE%%
  • Email address = %%EMAIL%%

boolean

If true, open tracking will be enabled for this user. Default: false

boolean

If true, click tracking will be enabled for this user. Default: false

boolean

If true, archiving (available on paid plans) will be enabled for this user. Default: false.

string

If passed, this email will be BCC'd on all emails sent by this SMTP User

string

If passed, will control how bounce notifications are handled. Must be one of [from, drop, or a valid email address]. [from] will return the email to sender, [drop] will discard the event, and the inclusion of an email address will send the event on to this account. Default is [from].

string
Defaults to allowed

The initial status of the SMTP user, one of ['allowed', 'blocked', 'sandbox'], defaults to 'allowed'

string

If you wish to make this API call on behalf of a subaccount then include its unique ID here

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json